package logicalports

// IDs gets array of IDs from LogicalPortList struct
func (pl LogicalPortsList) IDs() []string {
	res := make([]string, 0, len(pl.Ports))
	for _, c := range pl.Ports {
		res = append(res, c.ID)
	}
	return res
}
